Issue 107847

Summary: File content changed to hashes at crash or power loss
Product: Writer Reporter: hagar_de_lest <hagar_de_lest>
Component: save-exportAssignee: AOO issues mailing list <issues>
Status: REOPENED --- QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P2 CC: delest.hagar, issues, jsc, marcelly.bernard, oooforum
Version: OOo 3.0   
Target Milestone: ---   
Hardware: Unknown   
OS: All   
URL: http://user.services.openoffice.org/en/forum/viewtopic.php?f=6&t=17677
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description hagar_de_lest 2009-12-22 22:21:46 UTC
Hi devs,

I know this is a strange report since it can't be reproduced easily. But please
have a look at the link in the URL field above. We are seeing in the forum
reports about recovered files changed to hashes especially after a power loss.
But not only. And OS is not only Windows.

This problem has clearly started with 3.0 version. I've linked as many threads
as I could find in one of the post. They tend to prove that there is something
behind that. It's not a general issue (else we would have much more of them).
But I'm sure there is some application maybe interfering with temporary files.
In the past, if temporary files were touched, OOo could not save the file but
that was all; in this new problem, the content is changed to hashes or pound signs.

Thanks to have a look. Are there at least some precise questions to be asked to
the users in such cases?
Comment 1 eric.savary 2009-12-31 14:11:01 UTC
@hagar_de_lest: in support forums or in a bug track system: a problem must be
*reproducible* in order to be handled. We already closed other issues mentioning
this because we (and also the reporter) could not reproduce it.

Reading further pages "of the Internet" won't help.
If you can sum um this with:
- a non broken file
- a detailed system description and OOo version (please use the latest developer
version)
- an exact scenario which leads to...
- ...a broken file
then feel free to reopen this issue.

For now this report is like "OOo sometimes crashes".
Comment 2 eric.savary 2009-12-31 14:11:20 UTC
Closed
Comment 3 hagar_de_lest 2010-01-02 19:25:55 UTC
Not my job. Sorry.

No further comments.
Comment 4 Hagar Delest 2013-12-15 18:13:38 UTC
I'd like to reopen this bug.
It was closed rather quickly IMHO. Perhaps it will be different now with the new community.
See: https://forum.openoffice.org/en/forum/viewtopic.php?f=6&t=17677#p81363

The list is longer each month.
Note that we also have reports with 4.0.
Comment 5 bmarcelly 2013-12-16 06:43:27 UTC
We have the same flow of lamentations about document losses in the french forum.
The user says that its computer ran out of power and after that its document opens with the ASCII filter. An analysis shows that it contains only bytes of value zero.

The corruption appears when working on any application : Writer, Calc , Impress, Base. And also on the most recent versions of Apache OpenOffice.

The french forum has a specific section on recovery. Browse it :
https://forum.openoffice.org/fr/forum/viewforum.php?f=35

Here is the translation of most thread titles:
document rempli de dieses = document filled with hashes
fichier corrompu = file corrupted
erreur de format = format error (message at opening)
perte de document = document loss
filtre ASCII = ASCII filter

Most users now work on a laptop, this increases the probability of power loss.
The environment and usage of a computer by an ordinary user is not as clean as for a power user like the developers. 

This is a Quality issue. OpenOffice must be reliable enough for its ordinary users, or they will switch to another Office suite.
Comment 6 oooforum (fr) 2013-12-16 08:20:14 UTC
Cross with https://issues.apache.org/ooo/show_bug.cgi?id=111290
Comment 7 jsc 2013-12-16 16:38:08 UTC
This is very hard or nearly impossible to reproduce. I tried on Mac, create a new file, edit save, edit -> kill the process. Restart and the document recovery recovered the document successful. I would expect the same when the computer turned off.

Is it possible to get further information about the used system, file system (nfs, hpfs, etc.)?
Comment 8 bmarcelly 2013-12-17 16:45:20 UTC
The thread indicated in Comment 4 lists the OS and OpenOffice versions found in the english forum.

In the french forum we have a similar pattern :
- mostly Windows, from XP to Windows 8.1, some Linux, a few Mac. This reflects the omnipresence of MS-Windows on the market
- any version of OpenOffice up to the most recent.
- people complain because they have lost a document they have been working on for weeks, for example a student work. So this is never a simple one-page document.

I don't think it is reproducible at will (and I could not reproduce). Killing the soffice process is not same as pulling the plug from mains.

Developers should inspect the processes of document saving and document restoration, keeping in mind that the computer may stop anytime.
It could be that during the restore process, due to incorrect data, OpenOffice does not really restore but writes null bytes instead, effectively destroying the last save of the document.
Comment 9 oooforum (fr) 2013-12-17 17:27:26 UTC
Keep in mind that documents are often stored on USB stick (or external disk).
As MS-Word, users embed many pictures in documents and then, dramatically increase the file size.
All bad behaviors contribute to this issue.
Comment 10 Hagar Delest 2013-12-17 20:41:36 UTC
The problem with AOO working directly on a USB key is known and I've not taken into account those issues in the post that lists all the reports.
That still makes... 157 cases of severe data loss.

I started with OOo 2.0 in 2005, using it 8 hrs a day at work and never heard about it until the first topics in the forum. The 2.3 version seems to be the starting point.
Comment 11 jsc 2013-12-18 08:36:39 UTC
the info with USB drives and external disks is interesting , it goes in the direction of which file system is used. Nevertheless it is really a damn issue and not easy to reproduce.
Comment 12 Marcus 2017-05-20 10:44:39 UTC
Reset the assignee to the default "issues@openoffice.apache.org".